[pkg-fso-commits] [SCM] libframeworkd-glib branch, debian, updated. debian/0.1-20081118-2-4-gf6bfa38

Joachim Breitner mail at joachim-breitner.de
Sat Dec 27 20:46:38 UTC 2008


The following commit has been merged in the debian branch:
commit dedc1ad2c78c1e84945c1b89140ca84a7dda56a4
Author: Joachim Breitner <mail at joachim-breitner.de>
Date:   Sat Dec 27 18:25:31 2008 +0100

    snapshot release script

diff --git a/debian/snapshot-release.sh b/debian/snapshot-release.sh
new file mode 100755
index 0000000..e17d286
--- /dev/null
+++ b/debian/snapshot-release.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+set -e
+
+# This script is used by nomeata to 
+# * Create a tarball from the upstream git branch 
+# * Insert it into pristine tar
+# * Merge it into Debian
+# * Create a new debian/changelog entry 
+
+# It requires the $VERSION tag to be set, and will create upstream/$VERSION
+
+VERSION=$1
+
+if [ -z "$VERSION" -o "$VERSION" = "--help" ]
+then
+	echo "Usage:"
+	echo "	$0 <version>"
+	echo "Whereas a tag upstream/<version> exists"
+	exit 0
+fi
+
+if [ ! -e .git ]
+then
+	echo "Please run in the root of the git tree"
+	exit 1
+fi
+
+
+TARBALL=../libframeworkd-glib_"$VERSION".orig.tar.gz
+TAG="upstream/$VERSION"
+
+if !  git tag -l "$VERSION" | fgrep -q "$VERSION"
+then
+	echo "Tag $VERSION not found"
+	exit 1
+fi
+
+if ! git status | fgrep -q 'nothing to commit'
+then
+	echo "Uncommited changes:"
+	git status
+	exit 1
+fi
+
+set -x
+
+git checkout "$VERSION"
+
+./autogen.sh
+
+make distdir=libframeworkd-glib-"$VERSION" dist
+
+mv libframeworkd-glib-"$VERSION".tar.gz "$TARBALL"
+
+git clean -f -d
+
+git checkout debian
+
+git-import-orig --upstream-version=$VERSION $TARBALL
+
+echo "Done!"

-- 
libframeworkd-glib



More information about the pkg-fso-commits mailing list